Brave refresh failed through snap from 1.27.111 to 1.29.76

I got the following error:

$ sudo snap refresh brave
error: cannot perform the following tasks:
- Mount snap "brave" (127) (snap is unusable due to missing files; contact developer)

Here is the information of my brave snap

$ snap info brave
name:      brave
summary:   Brave Browser
publisher: Brave Software (brave)
store-url: https://snapcraft.io/brave
contact:   https://community.brave.com/
license:   unset
description: |
  https://brave.com/linux
commands:
  - brave
snap-id:      uE3hSmGE91m9MpbDEnUWi2vpeumH6gmv
tracking:     latest/stable
refresh-date: 32 days ago, at 10:18 CST
channels:
  latest/stable:    1.29.76  2021-08-31 (127) 258MB -
  latest/candidate: 1.29.76  2021-08-31 (127) 258MB -
  latest/beta:      1.29.76  2021-08-31 (127) 258MB -
  latest/edge:      1.29.76  2021-08-31 (127) 258MB -
installed:          1.27.111            (124) 256MB -

My system is

$ lsb_release -a
LSB Version:	1.4
Distributor ID:	Arch
Description:	Arch Linux
Release:	rolling
Codename:	n/a

Same problem here.
Actual version : 1.28.106
Distrib : Arch Linux

Someone knows how to ask developers to address this issue ?

Refresh seems to have been done successfully today, the issue is resolved for my part

@neustry thank you for your confirmation.
The latest version works good in my side.

$ snap info brave
name:      brave
summary:   Browse faster and safer with Brave.
publisher: Brave Software (brave)
store-url: https://snapcraft.io/brave
contact:   https://community.brave.com/
license:   unset
description: |
  The new Brave browser automatically blocks ads and trackers, making it
  faster and safer than your current browser. Start supporting publishers
  today with our new Brave Payments system.
commands:
  - brave
snap-id:      uE3hSmGE91m9MpbDEnUWi2vpeumH6gmv
tracking:     latest/stable
refresh-date: today at 03:30 CST
channels:
  latest/stable:    1.30.89 2021-10-12 (133) 261MB -
  latest/candidate: 1.30.89 2021-10-12 (133) 261MB -
  latest/beta:      1.30.89 2021-10-12 (133) 261MB -
  latest/edge:      1.30.89 2021-10-12 (133) 261MB -
installed:          1.30.89            (133) 261MB -

It seems be fixed since 1.30.89.
I think we are good to close this ticket.